Make sparc64 GLIBC_2.2+ only.
authordrepper <drepper>
Thu, 29 Jun 2000 20:58:06 +0000 (20:58 +0000)
committerdrepper <drepper>
Thu, 29 Jun 2000 20:58:06 +0000 (20:58 +0000)
shlib-versions

index ef6d94f..3518610 100644 (file)
@@ -19,6 +19,7 @@
 # The interface to -lm depends mostly only on cpu, not on operating system.
 i.86-.*-.*             libm=6
 m68k-.*-.*             libm=6
+sparc64-.*-linux.*     libm=6                  GLIBC_2.2
 sparc.*-.*-.*          libm=6
 alpha.*-.*-linux.*     libm=6.1
 alpha.*-.*-.*          libm=6
@@ -35,6 +36,7 @@ alpha.*-.*-linux.*    libc=6.1
 mips.*-.*-linux.*      libc=6                  GLIBC_2.0 GLIBC_2.2
 ia64-.*-.*             libc=6.1                GLIBC_2.2
 sh.*-.*-.*              libc=6                  GLIBC_2.2
+sparc64-.*-linux.*     libc=6                  GLIBC_2.2
 .*-.*-linux.*          libc=6
 
 # libmachuser.so.1 corresponds to mach/*.defs as of Utah's UK22 release.
@@ -52,7 +54,7 @@ sh.*-.*-.*              libc=6                  GLIBC_2.2
 
 # The dynamic loader also requires different names.
 i.86-.*-linux.*                ld=ld-linux.so.2
-sparc64-.*-linux.*     ld=ld-linux.so.2
+sparc64-.*-linux.*     ld=ld-linux.so.2        GLIBC_2.2
 sparc.*-.*-linux.*     ld=ld-linux.so.2
 alpha.*-.*-linux.*     ld=ld-linux.so.2
 arm.*-.*-linux.*       ld=ld-linux.so.2